Subject: RE: [netlmm] RE: PMIP follow-up questions (was RE: Why is PMIP...)

From: "Soliman, Hesham" <[email-masked]>
Date: Wed, 1 Nov 2006 03:30:20 -0800

Of course I forgot to add that it's significantly easier and cheaper for
a vendor to support one protocol as opposed to two.

 > -----Original Message-----
 > From: Soliman, Hesham [mailto:[email-masked]] 
 > Sent: Wednesday, November 01, 2006 10:05 PM
 > To: James Kempf; Templin, Fred L; Jean-Mickael Guerin
 > Cc: [email-masked]; Basavaraj Patil
 > Subject: [netlmm] RE: PMIP follow-up questions (was RE: Why 
 > is PMIP...)
 > 
 > 
 >  > Then speaking with my service provider hat on, I don't see 
 >  > any real benefit, 
 >  > since I have to deploy a new set of network boxes regardless 
 >  > of which 
 >  > solution I use. 
 > 
 > => You mean the ARs? I assume that's what you mean since the 
 > HA/MAPs, if
 > they end up being different can simply have a SW upgrade...But then
 > again, so can the ARs. So I don't know why you say "new 
 > boxes". We don't
 > even know if you'll need a different HA/MAP or not until we agree to
 > investigate it further.
 > 
 >    From a vendor viewpoint, if I need to change 
 >  > the home agent 
 >  > code, then I still need to go through a QA and beta cycle to 
 >  > make sure that 
 >  > the code works. Maybe there's a bit less work, since I 
 > don't need to 
 >  > implement something from scratch, but most of the work in 
 > software 
 >  > development for product release is in the downstream anyway, 
 > 
 > => Well, that's just not true. I spent my fair share of 
 > years in product
 > development and I can assure you that apart from updating 
 > documents, the
 > amount of time needed to add new features is directly proportional to
 > the amount of code that needs to be written. This includes testing,
 > trials ....etc. So of course if you're adding 50 lines of code you'll
 > require significantly less work than adding 1000 lines. I 
 > mean seriously
 > why do you think SW reuse is such a big deal if it didn't matter how
 > many lines of code you're adding? 
 > 
 >  > so I guess I 
 >  > don't see much benefit for vendors either.
 > 
 > => I think your analysis is wrong. 
 > 
 > Hesham
 > 
 > 
 > _______________________________________________
 > netlmm mailing list
 > [email-masked]
 > https://www1.ietf.org/mailman/listinfo/netlmm
 > 

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "James Kempf" <[email-masked]>
Date: Wed, 1 Nov 2006 04:32:42 -0800

I'm not going to split hairs about how much resusability of software one 
could get from PMIP v.s. NETLMM. I think this is highly dependent on the 
particular implementation, and I think a vendor could just as well offer 
NETLMM as a software upgrade for their GGSN, for example, if their GPRS 
implementation was structured for reuse, since many of the basic mechanisms 
are the same. As for development effort, that too depends on the 
implementation and how the vendor manages new v.s. upgrades. A vendor that 
requires pages of specifications before doing a new implementation is 
certainly going to require more time and work to do something new. On the 
other hand, some vendors require months of review from various internal 
architecural groups before a line of code in an existing implementation is 
changed. I also think the same could be said of the cost of management. One 
could structure a Mobile IP home agent product such that it is very 
expensive to maintain, or make it easy. Similarly with NETLMM. There's a lot 
of room for variability in implementation and business models here.

At any rate, I see the reusablity arguement as being more one of "idea 
reusability". People in IETF and 3GPP2 are familiar with MIP so it is easier 
for them to accept an extension to network-based mobility management than to 
accept a new protocol. It's a fairly typical marketing problem. It is easier 
to get people to buy Diet Coke than start a completely new cola brand for 
people who want a low calorie product. Mobile IP is a brand in the protocol 
market place with lots of mind share now, so coming out with a "new, 
improved" version that features network-based mobility is an easier sell 
than trying to convince them to accept completely new protocol.

            jak

----- Original Message ----- 
From: "Soliman, Hesham" <[email-masked]>
To: "Soliman, Hesham" <[email-masked]>; "James Kempf" 
<[email-masked]>; "Templin, Fred L" <[email-masked]>; 
"Jean-Mickael Guerin" <[email-masked]>
Cc: <[email-masked]>; "Basavaraj Patil" <[email-masked]>
Sent: Wednesday, November 01, 2006 3:30 AM
Subject: RE: [netlmm] RE: PMIP follow-up questions (was RE: Why is PMIP...)

---

From: "Roberts Phil-APR042" <[email-masked]>
Date: Wed, 1 Nov 2006 09:36:45 -0500

The only thing I would like to add is that I think there has been a
distinction between using a home agent and using protocol fields.
Reusing a home agent has much more value than reusing protocol fields.

> From: James Kempf [mailto:[email-masked]]
> Sent: Wednesday, November 01, 2006 6:33 AM
> To: Soliman, Hesham; Templin, Fred L; Jean-Mickael Guerin
> Subject: Re: [netlmm] RE: PMIP follow-up questions (was RE: Why is
> PMIP...)
> 
> changed. I also think the same could be said of the cost of
management.
> One
> expensive to maintain, or make it easy. Similarly with NETLMM. There's
a
> lot
> for them to accept an extension to network-based mobility management
than
> to